%define __libtoolize :

%define glib2_version 2.0.1

%define po_package libgtop-2.0

Name:		libgtop2
Summary:        libgtop library (version 2)
Version: 	2.0.2
Release: 3
License: 	GPL
URL:            ftp://ftp.gnome.org/pub/GNOME/sources/libgtop/2.0
Group:          System Environment/Libraries
Source: 	libgtop-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	glib2 >= %{glib2_version}
BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires: automake autoconf
Patch: libgtop-2.0.2-prog_as.patch
Patch2: libgtop-2.0.2-64bit.patch

%description
libgtop is a library for portably obtaining information about processes, 
such as their PID, memory usage, etc.

%package devel
Summary: Libraries and include files for developing with libgtop.
Group: Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib2-devel >= %{glib2_version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with libgtop.

%prep
%setup -q -n libgtop-%{version}
%patch -p1 -b .prog_as
%patch2 -p1 -b .64bit

libtoolize --force
aclocal-1.6
automake-1.6 --add-missing
autoconf
autoheader

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

## no dumb daemon thing
/bin/rm $RPM_BUILD_ROOT%{_bindir}/*

## the existence of libgnomesupport appears to be some total breakage
## (maybe the daemon used it?)
/bin/rm $RPM_BUILD_ROOT%{_libdir}/libgnomesupport*
/bin/rm -r $RPM_BUILD_ROOT%{_libdir}/libgtop/include

# kill .la files
/bin/rm $RPM_BUILD_ROOT%{_libdir}/*.la

# not worth fooling with
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/info

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang

%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/libgtop-2.0
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Jun 24 2004 Ray Strode <rstrode@redhat.com> 2.0.2-3
- Another >4gb fix like 2.0.2-1 (bug #116209). 
- Remove old tarball from sources file.

* Wed Jul 23 2003 Havoc Pennington <hp@redhat.com>
- automated rebuild

* Fri Jul 18 2003 Havoc Pennington <hp@redhat.com> 2.0.2-1
- 2.0.2
- forward port prog_as patch
- attempted fix to handle >4mb on IA32, #98676

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 11 2003 Bill Nottingham <notting@redhat.com> 2.0.0-10
- fix URL (#79390)

* Mon Feb  3 2003 Havoc Pennington <hp@redhat.com> 2.0.0-9
- rebuild

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 19 2002 Elliot Lee <sopwith@redhat.com> 2.0.0-7
- More missing libXau hackery (prog_as.patch so we can run auto* to pull 
in an updated libtool)
- _smp_mflags

* Wed Dec  4 2002 Havoc Pennington <hp@redhat.com>
- rebuild more, woot!

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- rebuild to try and fix weird undefined Xau symbols

* Fri Nov  8 2002 Havoc Pennington <hp@redhat.com>
- rebuild
- remove nonexistent doc files
- fix uninstalled but unpackaged files

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Fix missing po files

* Sat Jun 15 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- check file list, lose libgnomesupport

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- .la files evil

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- rebuild for glib 2.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.90.2

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- Initial build

